Bug 88871 - Port www/squidguard did not install
Port www/squidguard did not install
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2005-11-12 00:50 UTC by dmphilli
Modified: 2005-11-17 20:05 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description dmphilli 2005-11-12 00:50:16 UTC
Port www/squidguard did not install when "WRKDIRPREFIX=/usr/obj" was in make.conf because it could not find "files/sgcfg.in".

Fix: Apply this patch:

-CFGINPUT=      files/sgcfg.in
+CFGINPUT=      ${.CURDIR}/files/sgcfg.in

 SQUID_UID?=    nobody
 SQUID_GID?=    nogroup--5yi2Yhbg67eM5xCD7q1IJQZ6TXWrHHt5GPNtwwjWF2gd8HCj
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Sat Nov 12 00:35:11 2005
+++ Makefile    Sat Nov 12 00:32:27 2005
@@ -27,7 +27,7 @@
                --with-sg-logdir=${LOGDIR} \
How-To-Repeat: echo "WRKDIRPREFIX=/usr/obj" >> /etc/make.conf
cd /usr/ports/www/squidguard
make install
Comment 1 Edwin Groothuis freebsd_committer 2005-11-12 00:51:12 UTC
Maintainer of www/squidguard,

Please note that PR ports/88871 just has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis
Comment 2 mnag freebsd_committer 2005-11-13 03:18:41 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 dl 2005-11-14 06:59:41 UTC
Edwin Groothuis wrote:
> Maintainer of www/squidguard,
> Please note that PR ports/88871 just has been submitted.

Yes, I approve the patch!

Dan Larsson  -+- Tyfon Svenska AB -+-  DL1999-RIPE
Tel: +46-(0)8-550 120 21  Fax: +46-(0)8-550 120 02
42C2 31BE E58A 1E71 FCD9  E45E BBA7 FEB2 A5BB 9845
Comment 4 mnag freebsd_committer 2005-11-17 20:05:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!